Skip to content
Get API key (opens in a new tab)

Members

Get member reward

Returns information about a specific reward earned by a member.

GEThttps://api.cevoid.com/v2/members/{profile_id}/rewards/{reward_id}

Authorizations

Authorizationbearer tokenheaderrequired

Send Authorization: Bearer <key>, where the key is your API key.

Path parameters

profile_idstringrequired

Cevoid profile ID.

  • Example: prf_abc123
reward_idstringrequired

Cevoid earned reward ID.

  • Example: rwd_abc123

Response

200 Successful response application/json

dataobjectrequired

Requested resource.

Properties (16)
idstringrequired

Cevoid earned reward ID.

  • Example: rwd_01hzy3d4mk8w2q
titlestringrequired

Reward title at the time it was awarded.

  • Example: 10% Off Reward
descriptionstring

Member-facing reward description.

  • Example: Get 10% off your next order.
typeenum<string>required

Reward type.

  • Allowed values: BADGE DISCOUNT_CODE CUSTOM POINTS PRODUCT
  • Example: DISCOUNT_CODE
icon_urlstring<uri>

Reward icon URL.

  • Example: https://cdn.cevoid.com/rewards/reward-icon.png
svg_iconstring

Inline SVG icon markup.

  • Example: <svg viewBox="0 0 24 24">...</svg>
fulfillment_statusenum<string>required

Current fulfillment state.

  • Allowed values: UNFULFILLED IN_PROGRESS RETRYING FAILED_AUTO FAILED_THIRD_PARTY FULFILLED_MANUAL FULFILLED_AUTO FULFILLED_THIRD_PARTY CANCELLED EXPIRED
  • Example: FULFILLED_AUTO
fulfilled_atstring<date-time>

Timestamp when fulfillment completed.

  • Example: 2026-01-15T10:00:00.000Z
failed_reasonstring

Reason fulfillment failed.

  • Example: No discount codes available
awarded_atstring<date-time>

Timestamp when the reward was awarded.

  • Example: 2026-01-15T09:30:00.000Z
invalidated_atstring<date-time>

Timestamp when the reward was invalidated.

  • Example: 2026-02-01T00:00:00.000Z
badgeobject

Badge-specific reward details.

Properties (4)
typeenum<string>required

Badge presentation type.

  • Allowed values: DEFAULT CUSTOM
  • Example: DEFAULT
locationstring

Badge placement metadata.

  • Example: profile
iconstring

Badge icon identifier.

  • Example: star
colorstring

Badge accent color.

  • Example: #ffb800
pointsobject

Points-specific reward details.

Properties (1)
amountnumberrequired

Points granted by the reward.

  • Example: 100
discount_codeobject

Discount-code reward details.

Properties (5)
codestringrequired

Discount code granted to the member.

  • Example: SUMMER10
external_discount_code_idstring

Discount code identifier in the source system, when applicable.

  • Example: discount-code-12345
expires_atstring<date-time>

Timestamp when the discount code expires.

  • Example: 2026-12-31T23:59:59.999Z
one_time_use_per_customerbooleanrequired

Whether the member can use the code only once.

  • Example: true
value_typeenum<string>

Discount value type.

  • Allowed values: FIXED_AMOUNT PERCENTAGE FREE_SHIPPING
  • Example: PERCENTAGE
productobject

Product reward details.

Properties (6)
idstring

Cevoid product ID. Omitted when the historical product can no longer be resolved.

  • Example: 7391056823401
codestringrequired

Product reward code granted to the member.

  • Example: FREE-MUG-001
product_urlstring<uri>

Resolved storefront URL for the rewarded product.

  • Example: https://store.example.com/products/free-mug
external_discount_code_idstring

Discount code identifier in the source system, when applicable.

  • Example: discount-code-12345
expires_atstring<date-time>

Timestamp when the product reward code expires.

  • Example: 2026-12-31T23:59:59.999Z
one_time_use_per_customerbooleanrequired

Whether the member can claim the reward only once.

  • Example: true
usagesobject[]required

Recorded reward usages.

Item properties (5)
order_idstring

Cevoid order ID. Omitted when a historical order cannot be resolved.

  • Example: ord_01hzy3d4mk8w2q
order_numberstring

Human-readable Order number.

  • Example: #1001
domainstring

Store domain where the reward was used.

  • Example: store.example.com
external_order_idstring

Order identifier in the source system, when applicable.

  • Example: order-12345
used_atstring<date-time>

Timestamp when the usage was recorded.

  • Example: 2026-01-15T10:00:00.000Z
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

401 Unauthorized application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

403 Forbidden application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

404 Not found application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

422 Validation error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

429 Too many requests application/json

additional_dataobjectrequired

Machine-readable rate-limit details.

Properties (2)
retry_after_secondsintegerrequired
  • Range: 0 <= x
{key}any
statusintegerrequired

HTTP status code.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable error description.

  • Example: Resource not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (6)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

Retry-Afterinteger

Seconds to wait before retrying the request

500 Internal server error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available